#
#  File : go.mak
#
#  Preprocess the output file from NSL: chops the file into groups
# corresponding to the different input patterns, then computes the
# average performance and activity measures for each and then produces
# the behavior file.
#

all : proc


proc :
	grep p0 $(FILE).out | wc
	grep p1 $(FILE).out | wc
	grep p2 $(FILE).out | wc
	grep p3 $(FILE).out | wc
	grep p4 $(FILE).out | wc
	grep p5 $(FILE).out | wc
	grep p6 $(FILE).out | wc
	grep p7 $(FILE).out | wc
	grep p8 $(FILE).out | wc
	grep p9 $(FILE).out | wc
	grep p0 $(FILE).out | head -$(NUM) > $(FILE)_0.out
	grep p1 $(FILE).out | head -$(NUM) > $(FILE)_1.out
	grep p2 $(FILE).out | head -$(NUM) > $(FILE)_2.out
	grep p3 $(FILE).out | head -$(NUM) > $(FILE)_3.out
	grep p4 $(FILE).out | head -$(NUM) > $(FILE)_4.out
	grep p5 $(FILE).out | head -$(NUM) > $(FILE)_5.out
	grep p6 $(FILE).out | head -$(NUM) > $(FILE)_6.out
	grep p7 $(FILE).out | head -$(NUM) > $(FILE)_7.out
	grep p8 $(FILE).out | head -$(NUM) > $(FILE)_8.out
	grep p9 $(FILE).out | head -$(NUM) > $(FILE)_9.out
	process $(FILE)_0 $(UNITS) $(FACTOR) $(AVG)
	process $(FILE)_1 $(UNITS) $(FACTOR) $(AVG)
	process $(FILE)_2 $(UNITS) $(FACTOR) $(AVG)
	process $(FILE)_3 $(UNITS) $(FACTOR) $(AVG)
	process $(FILE)_4 $(UNITS) $(FACTOR) $(AVG)
	process $(FILE)_5 $(UNITS) $(FACTOR) $(AVG)
	process $(FILE)_6 $(UNITS) $(FACTOR) $(AVG)
	process $(FILE)_7 $(UNITS) $(FACTOR) $(AVG)
	process $(FILE)_8 $(UNITS) $(FACTOR) $(AVG)
	process $(FILE)_9 $(UNITS) $(FACTOR) $(AVG)
	process $(FILE) $(UNITS) $(FACTOR) $(AVG)
	dobehave $(FILE) $(BEHAVENUM)
	rm $(FILE)_?.out
	cat $(FILE).behave
