/*  @(#)process.h	1.1   12/9/92   */
/*
 *  File : process.h
 *
 *  Andrew H. Fagg
 *  Center for Neural Engineering
 *  Computer Science Department
 *  University of Southern California
 *  Henry Salvatori #300
 *  Los Angeles, CA  90089-0781
 *
 *  ahfagg@pollux.usc.edu
 *
 *
 * HISTORY
 *  Date         Author               Description
 *  --------     -----------------    --------------------------------
 *  12/05/92     Andrew H. Fagg       Doc update.
 *  01/15/92     Andrew H. Fagg       Original.
 *
 */

#define MAX_UNITS 60
#define MAX_TRIALS 600

struct trial_type		/* Trial record. */
{
  int correct;			/* Output correct or not. */
  float activation[MAX_UNITS];	/* Voting unit activity. */
};

