(* select.m
	Display the responses of a particular column to each of the stimuli.
		Must have already loaded single.m.
*)

sel = 27  (* Column number  *)


activity0 = sele[raw0,sel] 
activity1 = sele[raw1,sel] 
activity2 = sele[raw2,sel] 
activity3 = sele[raw3,sel] 
gr0 = ListPlot[activity0, PlotJoined -> True, PlotRange -> {0,1},
		PlotStyle -> Thickness[0.0025]]
gr1 = ListPlot[activity1, PlotJoined -> True, PlotRange -> {0,1},
		PlotStyle -> {Thickness[0.0025], Dashing[{0.01, 0.01}]}]
gr2 = ListPlot[activity2, PlotJoined -> True, PlotRange -> {0,1},
		PlotStyle -> {Thickness[0.0025], Dashing[{0.001, 0.010}]}]
gr3 = ListPlot[activity3, PlotJoined -> True, PlotRange -> {0,1},
		PlotStyle -> {Thickness[0.0025], Dashing[{0.005, 0.010}]}]
gr4 = Show[gr0, gr1, gr2, gr3]

Display[StringJoin[input, ".ps"], gr4]
