(*
   wpr.m
	Display the weights leading from a column.

*)

unit = 7   (*  unit to examine  *)

MX = 0.2   (*  scaling parameter  *)


t1 = units[[unit]]
t2 = Transpose[t1]

gr0 = ListPlot[t2[[1]], PlotJoined -> True, PlotRange -> {0,MX},
		PlotStyle -> Thickness[0.0025]]
gr1 = ListPlot[t2[[2]], PlotJoined -> True, PlotRange -> {0,MX},
		PlotStyle -> {Thickness[0.0025], Dashing[{0.01, 0.01}]}]
gr2 = ListPlot[t2[[3]], PlotJoined -> True, PlotRange -> {0,MX},
		PlotStyle -> {Thickness[0.0025], Dashing[{0.001, 0.010}]}]
gr3 = ListPlot[t2[[4]], PlotJoined -> True, PlotRange -> {0,MX},
		PlotStyle -> {Thickness[0.0025], Dashing[{0.005, 0.010}]}]
gr4 = Show[gr0, gr1, gr2, gr3]
Display[StringJoin[file, "_u", ToString[unit], ".ps"], gr4]
